
int _raydium_object_load_append_last(char *filename)
{
int ret;

if (raydium_object_index==0)
    {
    raydium_log ("ERROR: Object append need at least one loaded object.");
    return -1;
    }
raydium_object_index--;
//raydium_object_start[raydium_object_index]=raydium_vertex_index;
ret=read_vertex_from(filename);
raydium_object_end[raydium_object_index]=raydium_vertex_index;
strcat(raydium_object_name[raydium_object_index],"+");
strcat(raydium_object_name[raydium_object_index],filename);
if (ret)
    {
#ifdef DEBUG_RENDER_VERTEXARRAY
    raydium_object_render_cache_build(raydium_object_index);
#endif
    return(raydium_object_index++);
    }
else
    return -1;
}
